# POST Requests: Base Employee API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

URLs:
{% endcolumn %}

{% column %}
Base Employee

<https://api.coresignal.com/cdapi/v2/data\\_requests/employee\\_base/filter\\>
<https://api.coresignal.com/cdapi/v2/data\\_requests/employee\\_base/es\\_dsl\\>
<https://api.coresignal.com/cdapi/v2/data\\_requests/employee\\_base/ids\\>
<https://api.coresignal.com/cdapi/v2/data\\_requests/employee\\_base/shorthand\\_names\\>
<https://api.coresignal.com/cdapi/v2/data\\_requests/employee\\_base/urls>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Bulk Collect features three POST endpoints, making collecting employee data records in bulk easier.

{% hint style="danger" %}
Before you proceed with your Bulk Collect requests, test them in the Base Employee API first to avoid any unexpected costs.
{% endhint %}

Find step-by-step guides for making Bulk Collect POST requests in the following topic:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Bulk Collect POST requests guides</td><td><a href="/pages/5uea6OK6JwACFX27NdEx">/pages/5uea6OK6JwACFX27NdEx</a></td></tr></tbody></table>

## Search filter requests

Use the endpoint `/v2/data_requests/employee_base/filter` to request several employee profiles using our regular search endpoint filters.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Base Employee API Search filters list</td><td><a href="/pages/UyIBKrs8D4IOvUhBVZuq">/pages/UyIBKrs8D4IOvUhBVZuq</a></td></tr></tbody></table>

### Endpoint usage example

{% code title="Example request" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/employee_base/filter' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
   "webhook_url": "{optional_webhook_url}",
   "limit": {optional_integer},
   "filters": {
      "headline": "CSO",
      "location": "United States",
      "industry": "Information Technology"
      }
   }'
```

{% endcode %}

* Retrieve the `request ID` from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

***

## Elasticsearch DSL requests

Use the endpoint `/v2/data_requests/employee_base/es_dsl` to request employee data in bulk using our Elasticsearch DSL schema:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Base Company API Elasticsearch DSL schema</td><td><a href="/pages/PjXrkOqCIdnOVnFNAe9m#elasticsearch-schema">/pages/PjXrkOqCIdnOVnFNAe9m#elasticsearch-schema</a></td></tr></tbody></table>

### Endpoint usage example

{% hint style="warning" %}
When creating a new Bulk Collect request based on an Elasticsearch DSL query to the Base Employee endpoint, it is recommended to include the following clause in the query. This ensures that you get the most out of our new systematic approach to exclude duplicate records, which we can resolve with the same profile.

> ```
>     "term": {
>         "is_parent": 1
>     }
> ```

{% endhint %}

{% code title="Example request" %}

```json
curl -X 'POST' \
'https://api.coresignal.com/cdapi/v2/data_requests/employee_base/es_dsl' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "limit": {optional_integer},
  "webhook_url": "{optional_webhook_url}",
  "es_dsl_query": {
   "query":{
      "bool":{
         "must":[
            {
               "match":{
                  "title":{
                     "query":"Developer",
                     "operator":"and"
                  }
               }
            },
            {
               "match":{
                  "location":{
                     "query":"United States",
                     "operator":"and"
                  }
               }
            },
            {
               "nested":{
                  "path":"member_experience_collection",
                  "query":{
                     "bool":{
                        "must":[
                           {
                              "query_string":{
                                 "query":"Microsoft",
                                 "default_field":"member_experience_collection.company_name",
                                 "default_operator":"and"
                              }
                           }
                        ]
                     }
                  }
               }
            }
         ]
      }
   }
}'
```

{% endcode %}

* Retrieve the `request ID` from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

***

## IDs requests

Use the endpoint `/v2/data_requests/employee_base/ids` to submit a list of IDs to request employee data in bulk. Check the example for the ID list formatting:

### Endpoint usage example

{% code title="cURL request" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/employee_base/ids' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: multipart/form-data' \
  -d '{
  "limit": {optional_integer},
  "webhook_url": "{optional_webhook_url}",
  "ids": [
    1,
    222,
    3456
  ]
}'
```

{% endcode %}

* Retrieve the `request_id` from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

***

## Shorthand names and URLs requests

You can send up to 10,000 `shorthand_names` or `URLs` per request. Requirements for `shorthand_names` are listed below:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Shorthand names requirements</td><td><a href="/pages/5uea6OK6JwACFX27NdEx#shorthand-names-and-urls-requests">/pages/5uea6OK6JwACFX27NdEx#shorthand-names-and-urls-requests</a></td></tr></tbody></table>

### Endpoint usage example

{% tabs %}
{% tab title="shorthand\_names" %}
{% code title="Example request for shorthand\_names" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/employee_base/shorthand_names' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
   "webhook_url": "{optional_webhook_url}",
   "shorthand_names": [
      "john-doe",
      "jane-doe",
      "john-smith"
      ]
   }'
```

{% endcode %}
{% endtab %}

{% tab title="URLs" %}
{% code title="Example request for urls" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/employee_base/urls' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
   "data_format": "json",
   "webhook_url": "{optional_webhook_url}",
   "urls": [
      "https://www.professional-network.com/in/john-doe",
      "https://www.professional-network.com/in/jane-doe",
      "https://www.professional-network.com/in/john-smith"
      ]
   }'
```

{% endcode %}
{% endtab %}
{% endtabs %}

* Retrieve the request ID from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

## Following steps

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Make GET requests to download the data</td><td><a href="/pages/R6KadZ2abd4Lv5MLac75">/pages/R6KadZ2abd4Lv5MLac75</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/employee-api/base-employee-api/endpoints/bulk-collect/post-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
